# Get MembersDisabilityTaxSummary

Retrieve the MembersDisabilityTaxSummary for the given year

Endpoint: GET /subscribers/{subscriberID}/member-disability-tax-summary/{taxYear}
Version: v1
Security: apiKeyAuth, bearerAuth

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `bearerAuth` (unknown)
    http bearer JWT

## Path parameters:

  - `subscriberID` (string, required)
    Subscriber ID

  - `taxYear` (integer, required)
    Tax Year

## Header parameters:

  - `vbasoftware-database` (string, required)
    Target database

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `data` (object)
    This class represents a summary of disability tax information for a VBA member.

  - `data.total` (number)
    The total amount of disability tax.

  - `data.paid` (number)
    The amount of disability tax that has been paid.

  - `data.payable` (number)
    The amount of disability tax that is payable.

  - `data.inBatch` (number)
    The amount of disability tax in batch.

  - `data.denied` (number)
    The amount of disability tax that has been denied.

  - `data.totalDays` (number)
    The total number of days for which disability benefits were claimed.

  - `data.paidDays` (number)
    The number of days for which disability benefits have been paid.

  - `data.payableDays` (number)
    The number of days for which disability benefits are payable.

  - `data.inBatchDays` (number)
    The number of days for which disability benefits are in batch.

  - `data.deniedDays` (number)
    The number of days for which disability benefits have been denied.

  - `data.benefitTotalAmount` (number)
    The total amount of disability benefits claimed.

  - `data.benefitPaidAmount` (number)
    The amount of disability benefits paid.

  - `data.benefitPayableAmount` (number)
    The amount of disability benefits payable.

  - `data.benefitInBatchAmount` (number)
    The amount of disability benefits in batch.

  - `data.deductionTotalAmount` (number)
    The total amount of deductions claimed for disability tax.

  - `data.deductionPaidAmount` (number)
    The amount of deductions paid for disability tax.

  - `data.deductionPayableAmount` (number)
    The amount of deductions payable for disability tax.

  - `data.deductionInBatchAmount` (number)
    The amount of deductions in batch for disability tax.

  - `data.taxableTotalAmount` (number)
    The total amount of taxable disability benefits.

  - `data.taxablePaidAmount` (number)
    The amount of taxable disability benefits paid.

  - `data.taxablePayableAmount` (number)
    The total amount of taxable benefits payable for the member's disability tax summary.

  - `data.taxableInBatchAmount` (number)
    The total amount of taxable benefits in batch for the member's disability tax summary.

  - `data.federalTaxTotalAmount` (number)
    The total federal tax amount for the member's disability tax summary.

  - `data.federalTaxPaidAmount` (number)
    The total amount of federal tax paid for the member's disability tax summary.

  - `data.federalTaxPayableAmount` (number)
    The total amount of federal tax payable for the member's disability tax summary.

  - `data.federalTaxInBatchAmount` (number)
    The total amount of federal tax in batch for the member's disability tax summary.

  - `data.socSecTaxTotalAmount` (number)
    The total Social Security tax amount for the member's disability tax summary.

  - `data.socSecTaxPaidAmount` (number)
    The total amount of Social Security tax paid for the member's disability tax summary.

  - `data.socSecTaxPayableAmount` (number)
    The total amount of Social Security tax payable for the member's disability tax summary.

  - `data.socSecTaxInBatchAmount` (number)
    The total amount of Social Security tax in batch for the member's disability tax summary.

  - `data.medicareTaxTotalAmount` (number)
    The total Medicare tax amount for the member's disability tax summary.

  - `data.medicareTaxPaidAmount` (number)
    The total amount of Medicare tax paid for the member's disability tax summary.

  - `data.medicareTaxPayableAmount` (number)
    The total amount of Medicare tax payable for the member's disability tax summary.

  - `data.medicareTaxInBatchAmount` (number)
    The total amount of Medicare tax in batch for the member's disability tax summary.

  - `data.stateTaxTotalAmount` (number)
    The total state tax amount for the member's disability tax summary.

  - `data.stateTaxPaidAmount` (number)
    The total amount of state tax paid for the member's disability tax summary.

  - `data.stateTaxPayableAmount` (number)
    Represents the amount of state tax payable for a VBA member's disability tax summary.

  - `data.stateTaxInBatchAmount` (number)
    Represents the amount of state tax in batch for a VBA member's disability tax summary.

  - `data.localTaxTotalAmount` (number)
    Represents the total amount of local tax for a VBA member's disability tax summary.

  - `data.localTaxPaidAmount` (number)
    Represents the amount of local tax paid for a VBA member's disability tax summary.

  - `data.localTaxPayableAmount` (number)
    Represents the amount of local tax payable for a VBA member's disability tax summary.

  - `data.localTaxInBatchAmount` (number)
    Represents the amount of local tax in batch for a VBA member's disability tax summary.

  - `error` (object)

  - `error.detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `error.instance` (string)
    A URI reference that identifies the specific occurrence of the problem.It may
or may not yield further information if dereferenced.

  - `error.status` (integer)
    The HTTP status code([RFC7231], Section 6) generated by the origin server for
this occurrence of the problem.

  - `error.title` (string)
    A short, human-readable summary of the problem type.It SHOULD NOT change from
occurrence to occurrence of the problem, except for purposes of localization(e.g.,
using proactive content negotiation; see[RFC7231], Section 3.4).

  - `error.type` (string)
    A URI reference [RFC3986] that identifies the problem type. This specification
encourages that, when dereferenced, it provide human-readable documentation for
the problem type (e.g., using HTML [W3C.REC-html5-20141028]). When this member
is not present, its value is assumed to be "about:blank".

  - `debug` (object)

  - `debug.activityID` (string, required)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    Forbidden. The x-api-key header is missing or not valid. The API gateway sends this response, not VBAPI, so the body is not the VBAPI envelope; see Errors and troubleshooting.

## Response 429:

  - `429` (unknown)
    Too many requests. The limit is 25 requests per second sustained, with bursts up to 50, per API key. Wait and retry with exponential backoff and jitter.

